Update search settings
curl --request PUT \
--url https://api.arg.ai/api/workspaces/{workspaceId}/search/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchEnabled": true,
"embeddingModel": "<string>"
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/search/settings"
payload = {
"searchEnabled": True,
"embeddingModel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({searchEnabled: true, embeddingModel: '<string>'})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/search/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Search
Update search settings
PUT
/
api
/
workspaces
/
{workspaceId}
/
search
/
settings
Update search settings
curl --request PUT \
--url https://api.arg.ai/api/workspaces/{workspaceId}/search/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchEnabled": true,
"embeddingModel": "<string>"
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/search/settings"
payload = {
"searchEnabled": True,
"embeddingModel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({searchEnabled: true, embeddingModel: '<string>'})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/search/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
The response is of type object.